Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.oql
Class FunctionAST

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.makumba.providers.query.oql.OQLAST
                  org.makumba.providers.query.oql.FunctionAST

All Implemented Interfaces:
  antlr.collections.AST, Serializable

    public class FunctionAST

extends OQLAST

Analyser for OQL Functions

Version:
  $Id: FunctionAST.java,v 1.1 May 14, 2008 1:42:55 AM rudi Exp $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Field Summary
`static String[]` | `allFunctions` All known functions.
`static String[]` | `allNonParametricFunctions`
`static String[]` | `allSingleParameterFunctions`
`static String[]` | `dateToIntFunctions` date-to-int functions.
`static String[]` | `dateToStringFunctions` date-to-String functions.
`(package private) OQLAST` | `expr`
`static String[]` | `intToStringFunctions` int-to-string functions.
`static String[]` | `nonParametricDateFunctions`
`static String[]` | `simpleStringFunctions` Simple string-to-string functions with one argument.
`static String[]` | `stringToIntFunctions` string-to-int functions.

Fields inherited from class org.makumba.providers.query.oql.OQLAST
`extraInfo, makumbaType, tree`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`FunctionAST()`

Method Summary
`Object` | `getMakumbaType()`
`static String` | `printOptions(String[] functions)`
`void` | `setExpr(OQLAST e)`
`String` | `writeInSQLQuery(NameResolver nr)`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, initialize, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getLine, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### simpleStringFunctions

    public static String[] simpleStringFunctions

  Simple string-to-string functions with one argument.

### intToStringFunctions

    public static String[] intToStringFunctions

  int-to-string functions.

### stringToIntFunctions

    public static String[] stringToIntFunctions

  string-to-int functions.

### dateToIntFunctions

    public static String[] dateToIntFunctions

  date-to-int functions.

### dateToStringFunctions

    public static String[] dateToStringFunctions

  date-to-String functions.

### nonParametricDateFunctions

    public static String[] nonParametricDateFunctions

### allNonParametricFunctions

    public static final String[] allNonParametricFunctions

### allSingleParameterFunctions

    public static final String[] allSingleParameterFunctions

### allFunctions

    public static final String[] allFunctions

  All known functions.

### expr

    OQLAST expr

Constructor Detail

### FunctionAST

    public FunctionAST()

Method Detail

### setExpr

    public void setExpr(OQLAST e)

### writeInSQLQuery

    public String writeInSQLQuery(NameResolver nr)

  Overrides:
    `writeInSQLQuery` in class `OQLAST`

### getMakumbaType

    public Object getMakumbaType()
                          throws antlr.RecognitionException

  Overrides:
    `getMakumbaType` in class `OQLAST`
  Throws:
    `antlr.RecognitionException`

### printOptions

    public static String printOptions(String[] functions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20